Bug 1772079 - main menu navigation to all entities doesn't work from the same entity page
Summary: main menu navigation to all entities doesn't work from the same entity page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: 6.7.0
Assignee: Ron Lavi
QA Contact: vijsingh
URL:
Whiteboard:
: 1772790 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-13 15:17 UTC by Roman Plevka
Modified: 2020-04-14 13:27 UTC (History)
5 users (show)

Fixed In Version: foreman-1.24.0-0.14.RC3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28274 High Closed main menu navigation to all entities doesn't work from the same entity page 2020-05-13 17:54:28 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:19 UTC

Description Roman Plevka 2019-11-13 15:17:32 UTC
Description of problem:
This doesn't work on foreman pages only (katello works fine).

When I'm at entity (e.g. subnet) details page (or edit page) and I want to navigate to All entities (subnet) by using the main menu, it doesn't work (does nothing).

This behavior change heavily influences our automation

Version-Release number of selected component (if applicable):
6.7.0-1

Steps to Reproduce:
1. navigate to any _foreman_ entity page
2. create the entity
3. navigate to the entity "edit" page
4. use main menu to go to the same page as in step #1

Actual results:
no action is trigerred. Foreman probably treats the current page as the destination.

Expected results:
Entity overview page should be loaded

Additional info:

this is a regression from 6.6.0

Comment 5 Walden Raines 2019-11-15 13:52:56 UTC
Created redmine issue https://projects.theforeman.org/issues/28274 from this bug

Comment 6 Marek Hulan 2019-11-18 07:47:04 UTC
*** Bug 1772790 has been marked as a duplicate of this bug. ***

Comment 8 Bryan Kearney 2019-11-19 13:00:38 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28274 has been resolved.

Comment 9 Roman Plevka 2019-12-02 12:47:53 UTC
Verified on snap#4.

the navigation works as expected again.
tried the reproducer steps from the description + some other foreman entities (hosts, os, archs)

Comment 12 errata-xmlrpc 2020-04-14 13:27:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.